« More puzzles | Home | REALbasic freezes on … »

Linking plug-ins for Linux


If you link a plug-in for REALbasic on Linux with default settings from the SDK sample makefile, you get quite a lot of libraries linked to which you may not need:

gtk-x11-2.0, gdk-x11-2.0, gmodule-2.0, glib-2.0, Xi, Xext, X11 and m

So today I changed it and compile only with the default libraries from gcc and add libraries only if needed to the makefiles. So the plug-in libraries get a little bit smaller and most of my plugins no longer require gtk.

The change is in the 10.2pr9 plug-ins.
08 04 10 - 15:23
No comments

  
Remember personal info?

Emoticons / Textile


Notify:
Hide email:

Small print: All html tags except <b> and <i> will be removed from your comment. You can make links by just typing the url or mail-address.